package com.eactive.eai.rms.onl.statistics.company.daily;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : yk
 * @version : $Revision: 1.1 $
 */
@Repository("companyDailyDAO")
public class CompanyDailyDAO extends SqlMapClientTemplateDao {

    public int selectListCount(HashMap paramMap) throws Exception {
    	return (Integer)template.queryForObject("CompanyDaily.selectListCount", paramMap);
    }	
    public List selectList(HashMap paramMap) throws Exception {
    	return template.queryForList("CompanyDaily.selectList", paramMap);
    }
    public List selectListToExcel(HashMap paramMap) throws Exception {
    	return template.queryForList("CompanyDaily.selectListToExcel", paramMap);
    }
    public HashMap<String, Object> selectDetail(HashMap paramMap) throws Exception {
    	return (HashMap)template.queryForObject("CompanyDaily.selectDetail", paramMap);
    }  
}
